org.opencv.features2d

## Class Features2d

- java.lang.Object
- - org.opencv.features2d.Features2d

-     public class Features2d
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DRAW_OVER_OUTIMG`
    `static int` | `DRAW_RICH_KEYPOINTS`
    `static int` | `DrawMatchesFlags_DEFAULT`
    `static int` | `DrawMatchesFlags_DRAW_OVER_OUTIMG`
    `static int` | `DrawMatchesFlags_DRAW_RICH_KEYPOINTS`
    `static int` | `DrawMatchesFlags_NOT_DRAW_SINGLE_POINTS`
    `static int` | `NOT_DRAW_SINGLE_POINTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Features2d()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `drawKeypoints(Mat image, MatOfKeyPoint keypoints, Mat outImage)` Draws keypoints.
    `static void` | `drawKeypoints(Mat image, MatOfKeyPoint keypoints, Mat outImage, Scalar color)` Draws keypoints.
    `static void` | `drawKeypoints(Mat image, MatOfKeyPoint keypoints, Mat outImage, Scalar color, int flags)` Draws keypoints.
    `static void` | `drawMatches(Mat img1, MatOfKeyPoint keypoints1, Mat img2, MatOfKeyPoint keypoints2, MatOfDMatch matches1to2, Mat outImg)` Draws the found matches of keypoints from two images.
    `static void` | `drawMatches(Mat img1, MatOfKeyPoint keypoints1, Mat img2, MatOfKeyPoint keypoints2, MatOfDMatch matches1to2, Mat outImg, Scalar matchColor)` Draws the found matches of keypoints from two images.
    `static void` | `drawMatches(Mat img1, MatOfKeyPoint keypoints1, Mat img2, MatOfKeyPoint keypoints2, MatOfDMatch matches1to2, Mat outImg, Scalar matchColor, Scalar singlePointColor)` Draws the found matches of keypoints from two images.
    `static void` | `drawMatches(Mat img1, MatOfKeyPoint keypoints1, Mat img2, MatOfKeyPoint keypoints2, MatOfDMatch matches1to2, Mat outImg, Scalar matchColor, Scalar singlePointColor, MatOfByte matchesMask)` Draws the found matches of keypoints from two images.
    `static void` | `drawMatches(Mat img1, MatOfKeyPoint keypoints1, Mat img2, MatOfKeyPoint keypoints2, MatOfDMatch matches1to2, Mat outImg, Scalar matchColor, Scalar singlePointColor, MatOfByte matchesMask, int flags)` Draws the found matches of keypoints from two images.
    `static void` | `drawMatches2(Mat img1, MatOfKeyPoint keypoints1, Mat img2, MatOfKeyPoint keypoints2, List<MatOfDMatch> matches1to2, Mat outImg)`
    `static void` | `drawMatches2(Mat img1, MatOfKeyPoint keypoints1, Mat img2, MatOfKeyPoint keypoints2, List<MatOfDMatch> matches1to2, Mat outImg, Scalar matchColor)`
    `static void` | `drawMatches2(Mat img1, MatOfKeyPoint keypoints1, Mat img2, MatOfKeyPoint keypoints2, List<MatOfDMatch> matches1to2, Mat outImg, Scalar matchColor, Scalar singlePointColor)`
    `static void` | `drawMatches2(Mat img1, MatOfKeyPoint keypoints1, Mat img2, MatOfKeyPoint keypoints2, List<MatOfDMatch> matches1to2, Mat outImg, Scalar matchColor, Scalar singlePointColor, List<MatOfByte> matchesMask)`
    `static void` | `drawMatches2(Mat img1, MatOfKeyPoint keypoints1, Mat img2, MatOfKeyPoint keypoints2, List<MatOfDMatch> matches1to2, Mat outImg, Scalar matchColor, Scalar singlePointColor, List<MatOfByte> matchesMask, int flags)`
    `static void` | `drawMatchesKnn(Mat img1, MatOfKeyPoint keypoints1, Mat img2, MatOfKeyPoint keypoints2, List<MatOfDMatch> matches1to2, Mat outImg)`
    `static void` | `drawMatchesKnn(Mat img1, MatOfKeyPoint keypoints1, Mat img2, MatOfKeyPoint keypoints2, List<MatOfDMatch> matches1to2, Mat outImg, Scalar matchColor)`
    `static void` | `drawMatchesKnn(Mat img1, MatOfKeyPoint keypoints1, Mat img2, MatOfKeyPoint keypoints2, List<MatOfDMatch> matches1to2, Mat outImg, Scalar matchColor, Scalar singlePointColor)`
    `static void` | `drawMatchesKnn(Mat img1, MatOfKeyPoint keypoints1, Mat img2, MatOfKeyPoint keypoints2, List<MatOfDMatch> matches1to2, Mat outImg, Scalar matchColor, Scalar singlePointColor, List<MatOfByte> matchesMask)`
    `static void` | `drawMatchesKnn(Mat img1, MatOfKeyPoint keypoints1, Mat img2, MatOfKeyPoint keypoints2, List<MatOfDMatch> matches1to2, Mat outImg, Scalar matchColor, Scalar singlePointColor, List<MatOfByte> matchesMask, int flags)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DRAW_OVER_OUTIMG

          public static final int DRAW_OVER_OUTIMG

      See Also:
        Constant Field Values

    - #### NOT_DRAW_SINGLE_POINTS

          public static final int NOT_DRAW_SINGLE_POINTS

      See Also:
        Constant Field Values

    - #### DRAW_RICH_KEYPOINTS

          public static final int DRAW_RICH_KEYPOINTS

      See Also:
        Constant Field Values

    - #### DrawMatchesFlags_DEFAULT

          public static final int DrawMatchesFlags_DEFAULT

      See Also:
        Constant Field Values

    - #### DrawMatchesFlags_DRAW_OVER_OUTIMG

          public static final int DrawMatchesFlags_DRAW_OVER_OUTIMG

      See Also:
        Constant Field Values

    - #### DrawMatchesFlags_NOT_DRAW_SINGLE_POINTS

          public static final int DrawMatchesFlags_NOT_DRAW_SINGLE_POINTS

      See Also:
        Constant Field Values

    - #### DrawMatchesFlags_DRAW_RICH_KEYPOINTS

          public static final int DrawMatchesFlags_DRAW_RICH_KEYPOINTS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Features2d

          public Features2d()

  - ### Method Detail

    - #### drawKeypoints

          public static void drawKeypoints(Mat image,
                                           MatOfKeyPoint keypoints,
                                           Mat outImage,
                                           Scalar color,
                                           int flags)

      Draws keypoints.
      Parameters:
        `image` - Source image.
        `keypoints` - Keypoints from the source image.
        `outImage` - Output image. Its content depends on the flags value defining what is drawn in the output image. See possible flags bit values below.
        `color` - Color of keypoints.
        `flags` - Flags setting drawing features. Possible flags bit values are defined by DrawMatchesFlags. See details above in drawMatches . Note: For Python API, flags are modified as cv2.DRAW_MATCHES_FLAGS_DEFAULT, cv2.DRAW_MATCHES_FLAGS_DRAW_RICH_KEYPOINTS, cv2.DRAW_MATCHES_FLAGS_DRAW_OVER_OUTIMG, cv2.DRAW_MATCHES_FLAGS_NOT_DRAW_SINGLE_POINTS

    - #### drawKeypoints

          public static void drawKeypoints(Mat image,
                                           MatOfKeyPoint keypoints,
                                           Mat outImage,
                                           Scalar color)

      Draws keypoints.
      Parameters:
        `image` - Source image.
        `keypoints` - Keypoints from the source image.
        `outImage` - Output image. Its content depends on the flags value defining what is drawn in the output image. See possible flags bit values below.
        `color` - Color of keypoints. DrawMatchesFlags. See details above in drawMatches . Note: For Python API, flags are modified as cv2.DRAW_MATCHES_FLAGS_DEFAULT, cv2.DRAW_MATCHES_FLAGS_DRAW_RICH_KEYPOINTS, cv2.DRAW_MATCHES_FLAGS_DRAW_OVER_OUTIMG, cv2.DRAW_MATCHES_FLAGS_NOT_DRAW_SINGLE_POINTS

    - #### drawKeypoints

          public static void drawKeypoints(Mat image,
                                           MatOfKeyPoint keypoints,
                                           Mat outImage)

      Draws keypoints.
      Parameters:
        `image` - Source image.
        `keypoints` - Keypoints from the source image.
        `outImage` - Output image. Its content depends on the flags value defining what is drawn in the output image. See possible flags bit values below. DrawMatchesFlags. See details above in drawMatches . Note: For Python API, flags are modified as cv2.DRAW_MATCHES_FLAGS_DEFAULT, cv2.DRAW_MATCHES_FLAGS_DRAW_RICH_KEYPOINTS, cv2.DRAW_MATCHES_FLAGS_DRAW_OVER_OUTIMG, cv2.DRAW_MATCHES_FLAGS_NOT_DRAW_SINGLE_POINTS

    - #### drawMatches

          public static void drawMatches(Mat img1,
                                         MatOfKeyPoint keypoints1,
                                         Mat img2,
                                         MatOfKeyPoint keypoints2,
                                         MatOfDMatch matches1to2,
                                         Mat outImg,
                                         Scalar matchColor,
                                         Scalar singlePointColor,
                                         MatOfByte matchesMask,
                                         int flags)

      Draws the found matches of keypoints from two images.
      Parameters:
        `img1` - First source image.
        `keypoints1` - Keypoints from the first source image.
        `img2` - Second source image.
        `keypoints2` - Keypoints from the second source image.
        `matches1to2` - Matches from the first image to the second one, which means that keypoints1[i] has a corresponding point in keypoints2[matches[i]] .
        `outImg` - Output image. Its content depends on the flags value defining what is drawn in the output image. See possible flags bit values below.
        `matchColor` - Color of matches (lines and connected keypoints). If matchColor==Scalar::all(-1) , the color is generated randomly.
        `singlePointColor` - Color of single keypoints (circles), which means that keypoints do not have the matches. If singlePointColor==Scalar::all(-1) , the color is generated randomly.
        `matchesMask` - Mask determining which matches are drawn. If the mask is empty, all matches are drawn.
        `flags` - Flags setting drawing features. Possible flags bit values are defined by DrawMatchesFlags. This function draws matches of keypoints from two images in the output image. Match is a line connecting two keypoints (circles). See cv::DrawMatchesFlags.

    - #### drawMatches

          public static void drawMatches(Mat img1,
                                         MatOfKeyPoint keypoints1,
                                         Mat img2,
                                         MatOfKeyPoint keypoints2,
                                         MatOfDMatch matches1to2,
                                         Mat outImg,
                                         Scalar matchColor,
                                         Scalar singlePointColor,
                                         MatOfByte matchesMask)

      Draws the found matches of keypoints from two images.
      Parameters:
        `img1` - First source image.
        `keypoints1` - Keypoints from the first source image.
        `img2` - Second source image.
        `keypoints2` - Keypoints from the second source image.
        `matches1to2` - Matches from the first image to the second one, which means that keypoints1[i] has a corresponding point in keypoints2[matches[i]] .
        `outImg` - Output image. Its content depends on the flags value defining what is drawn in the output image. See possible flags bit values below.
        `matchColor` - Color of matches (lines and connected keypoints). If matchColor==Scalar::all(-1) , the color is generated randomly.
        `singlePointColor` - Color of single keypoints (circles), which means that keypoints do not have the matches. If singlePointColor==Scalar::all(-1) , the color is generated randomly.
        `matchesMask` - Mask determining which matches are drawn. If the mask is empty, all matches are drawn. DrawMatchesFlags. This function draws matches of keypoints from two images in the output image. Match is a line connecting two keypoints (circles). See cv::DrawMatchesFlags.

    - #### drawMatches

          public static void drawMatches(Mat img1,
                                         MatOfKeyPoint keypoints1,
                                         Mat img2,
                                         MatOfKeyPoint keypoints2,
                                         MatOfDMatch matches1to2,
                                         Mat outImg,
                                         Scalar matchColor,
                                         Scalar singlePointColor)

      Draws the found matches of keypoints from two images.
      Parameters:
        `img1` - First source image.
        `keypoints1` - Keypoints from the first source image.
        `img2` - Second source image.
        `keypoints2` - Keypoints from the second source image.
        `matches1to2` - Matches from the first image to the second one, which means that keypoints1[i] has a corresponding point in keypoints2[matches[i]] .
        `outImg` - Output image. Its content depends on the flags value defining what is drawn in the output image. See possible flags bit values below.
        `matchColor` - Color of matches (lines and connected keypoints). If matchColor==Scalar::all(-1) , the color is generated randomly.
        `singlePointColor` - Color of single keypoints (circles), which means that keypoints do not have the matches. If singlePointColor==Scalar::all(-1) , the color is generated randomly. drawn. DrawMatchesFlags. This function draws matches of keypoints from two images in the output image. Match is a line connecting two keypoints (circles). See cv::DrawMatchesFlags.

    - #### drawMatches

          public static void drawMatches(Mat img1,
                                         MatOfKeyPoint keypoints1,
                                         Mat img2,
                                         MatOfKeyPoint keypoints2,
                                         MatOfDMatch matches1to2,
                                         Mat outImg,
                                         Scalar matchColor)

      Draws the found matches of keypoints from two images.
      Parameters:
        `img1` - First source image.
        `keypoints1` - Keypoints from the first source image.
        `img2` - Second source image.
        `keypoints2` - Keypoints from the second source image.
        `matches1to2` - Matches from the first image to the second one, which means that keypoints1[i] has a corresponding point in keypoints2[matches[i]] .
        `outImg` - Output image. Its content depends on the flags value defining what is drawn in the output image. See possible flags bit values below.
        `matchColor` - Color of matches (lines and connected keypoints). If matchColor==Scalar::all(-1) , the color is generated randomly. have the matches. If singlePointColor==Scalar::all(-1) , the color is generated randomly. drawn. DrawMatchesFlags. This function draws matches of keypoints from two images in the output image. Match is a line connecting two keypoints (circles). See cv::DrawMatchesFlags.

    - #### drawMatches

          public static void drawMatches(Mat img1,
                                         MatOfKeyPoint keypoints1,
                                         Mat img2,
                                         MatOfKeyPoint keypoints2,
                                         MatOfDMatch matches1to2,
                                         Mat outImg)

      Draws the found matches of keypoints from two images.
      Parameters:
        `img1` - First source image.
        `keypoints1` - Keypoints from the first source image.
        `img2` - Second source image.
        `keypoints2` - Keypoints from the second source image.
        `matches1to2` - Matches from the first image to the second one, which means that keypoints1[i] has a corresponding point in keypoints2[matches[i]] .
        `outImg` - Output image. Its content depends on the flags value defining what is drawn in the output image. See possible flags bit values below. , the color is generated randomly. have the matches. If singlePointColor==Scalar::all(-1) , the color is generated randomly. drawn. DrawMatchesFlags. This function draws matches of keypoints from two images in the output image. Match is a line connecting two keypoints (circles). See cv::DrawMatchesFlags.

    - #### drawMatches2

          public static void drawMatches2(Mat img1,
                                          MatOfKeyPoint keypoints1,
                                          Mat img2,
                                          MatOfKeyPoint keypoints2,
                                          List<MatOfDMatch> matches1to2,
                                          Mat outImg,
                                          Scalar matchColor,
                                          Scalar singlePointColor,
                                          List<MatOfByte> matchesMask,
                                          int flags)

    - #### drawMatches2

          public static void drawMatches2(Mat img1,
                                          MatOfKeyPoint keypoints1,
                                          Mat img2,
                                          MatOfKeyPoint keypoints2,
                                          List<MatOfDMatch> matches1to2,
                                          Mat outImg,
                                          Scalar matchColor,
                                          Scalar singlePointColor,
                                          List<MatOfByte> matchesMask)

    - #### drawMatches2

          public static void drawMatches2(Mat img1,
                                          MatOfKeyPoint keypoints1,
                                          Mat img2,
                                          MatOfKeyPoint keypoints2,
                                          List<MatOfDMatch> matches1to2,
                                          Mat outImg,
                                          Scalar matchColor,
                                          Scalar singlePointColor)

    - #### drawMatches2

          public static void drawMatches2(Mat img1,
                                          MatOfKeyPoint keypoints1,
                                          Mat img2,
                                          MatOfKeyPoint keypoints2,
                                          List<MatOfDMatch> matches1to2,
                                          Mat outImg,
                                          Scalar matchColor)

    - #### drawMatches2

          public static void drawMatches2(Mat img1,
                                          MatOfKeyPoint keypoints1,
                                          Mat img2,
                                          MatOfKeyPoint keypoints2,
                                          List<MatOfDMatch> matches1to2,
                                          Mat outImg)

    - #### drawMatchesKnn

          public static void drawMatchesKnn(Mat img1,
                                            MatOfKeyPoint keypoints1,
                                            Mat img2,
                                            MatOfKeyPoint keypoints2,
                                            List<MatOfDMatch> matches1to2,
                                            Mat outImg,
                                            Scalar matchColor,
                                            Scalar singlePointColor,
                                            List<MatOfByte> matchesMask,
                                            int flags)

    - #### drawMatchesKnn

          public static void drawMatchesKnn(Mat img1,
                                            MatOfKeyPoint keypoints1,
                                            Mat img2,
                                            MatOfKeyPoint keypoints2,
                                            List<MatOfDMatch> matches1to2,
                                            Mat outImg,
                                            Scalar matchColor,
                                            Scalar singlePointColor,
                                            List<MatOfByte> matchesMask)

    - #### drawMatchesKnn

          public static void drawMatchesKnn(Mat img1,
                                            MatOfKeyPoint keypoints1,
                                            Mat img2,
                                            MatOfKeyPoint keypoints2,
                                            List<MatOfDMatch> matches1to2,
                                            Mat outImg,
                                            Scalar matchColor,
                                            Scalar singlePointColor)

    - #### drawMatchesKnn

          public static void drawMatchesKnn(Mat img1,
                                            MatOfKeyPoint keypoints1,
                                            Mat img2,
                                            MatOfKeyPoint keypoints2,
                                            List<MatOfDMatch> matches1to2,
                                            Mat outImg,
                                            Scalar matchColor)

    - #### drawMatchesKnn

          public static void drawMatchesKnn(Mat img1,
                                            MatOfKeyPoint keypoints1,
                                            Mat img2,
                                            MatOfKeyPoint keypoints2,
                                            List<MatOfDMatch> matches1to2,
                                            Mat outImg)

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8